locale(1)

NOME
locale - obtém informações específicas da localidade

SINOPSE
locale [opção]
locale [opção] -a
locale [opção] -m
locale [opção] nome...

DESCRIÇÃO
O comando locale exibe informações sobre a localidade atual, ou todas as localidades, na saída padrão.

Quando chamado sem argumentos, locale exibe as configurações de localidade atuais para cada categoria de localidade (veja locale(5)), com base nas configurações das variáveis de ambiente que controlam a localidade (veja locale(7)) Os valores das variáveis definidas no ambiente são impressos sem aspas duplas, os valores implícitos são impressos com aspas duplas.

Se a opção -a ou -m (ou um de seus equivalentes de formato longo) for especificada, o comportamento será o seguinte:

-a, --all-locales
    Exibe uma lista de todos os locais disponíveis. A opção -v faz com que os metadados LC_IDENTIFICATION sobre cada localidade sejam incluídos na saída.

-m, --charmaps
    Exibe os mapas de caracteres disponíveis (arquivos de descrição do conjunto de caracteres). Para exibir o conjunto de caracteres atual para a localidade, use locale -c charmap.

O comando locale também pode ser fornecido com um ou mais argumentos, que são os nomes de palavras-chave de localidade (por exemplo, date_fmt, ctype-class-names, yesexpr ou decimal_point) ou categorias de localidade (por exemplo, LC_CTYPE ou LC_TIME). Para cada argumento, o seguinte é exibido:

•   Para uma palavra-chave de localidade, o valor dessa palavra-chave a ser exibido.

•   Para uma categoria de localidade, os valores de todas as palavras-chave nessa categoria são exibidos.

Quando os argumentos são fornecidos, as seguintes opções são significativas:

-c, --category-name
    Para um argumento de nome de categoria, escreve o nome da categoria de localidade em uma linha separada antes da lista de valores de palavra-chave para esta categoria.

    Para um argumento de nome de palavra-chave, escreva o nome da categoria de localidade para essa palavra-chave em uma linha separada antes do valor da palavra-chave.

    Esta opção melhora a legibilidade quando vários argumentos de nome são especificados. Pode ser combinado com a opção -k.

-k, --keyword-name
    Para cada palavra-chave cujo valor está sendo exibido, inclui também o nome dessa palavra-chave, de modo que a saída tenha o formato:

        palavra-chave="valor"

O comando locale também conhece as seguintes opções:

-v, --verbose
    Exibe informações adicionais para algumas opções de linha de comando e combinações de argumentos.

-?, --help
    Exibe um resumo das opções e argumentos da linha de comando e sai.

--usage
    Exibe uma mensagem curta de uso e sai.

-V, --version
    Exibe a versão do programa e sai.

ARQUIVOS

/usr/lib/locale/locale-archive
    Local padrão usual do arquivo de localidades.

/usr/share/i18n/locales
    Caminho padrão usual para arquivos de definição de localidade.

PADRÕES
POSIX.1-2001, POSIX.1-2008.

EXEMPLOS
    $ locale
    LANG=en_US.UTF-8
    LC_CTYPE="en_US.UTF-8"
    LC_NUMERIC="en_US.UTF-8"
    LC_TIME="en_US.UTF-8"
    LC_COLLATE="en_US.UTF-8"
    LC_MONETARY="en_US.UTF-8"
    LC_MESSAGES="en_US.UTF-8"
    LC_PAPER="en_US.UTF-8"
    LC_NAME="en_US.UTF-8"
    LC_ADDRESS="en_US.UTF-8"
    LC_TELEPHONE="en_US.UTF-8"
    LC_MEASUREMENT="en_US.UTF-8"
    LC_IDENTIFICATION="en_US.UTF-8"
    LC_ALL=
    $ locale date_fmt
    %a %b %e %H:%M:%S %Z %Y
    $ locale -k date_fmt
    date_fmt="%a %b %e %H:%M:%S %Z %Y"
    $ locale -ck date_fmt
    LC_TIME
    date_fmt="%a %b %e %H:%M:%S %Z %Y"
    $ locale LC_TELEPHONE
    +%c (%a) %l
    (%a) %l
    11
    1
    UTF-8
    $ locale -k LC_TELEPHONE
    tel_int_fmt="+%c (%a) %l"
    tel_dom_fmt="(%a) %l"
    int_select="11"
    int_prefix="1"
    telephone-codeset="UTF-8"

O exemplo a seguir compila uma localidade personalizada do diretório ./wrk com o utilitário localedef(1) no diretório $HOME/.locale e, em seguida, testa o resultado com o date(1) e, em seguida, define as variáveis de ambiente LOCPATH e LANG no arquivo de perfil do shell para que o local personalizado seja usado nas sessões de usuário subsequentes:

    $ mkdir -p $HOME/.locale
    $ I18NPATH=./wrk/ localedef -f UTF-8 -i fi_SE $HOME/.locale/fi_SE.UTF-8
    $ LOCPATH=$HOME/.locale LC_ALL=fi_SE.UTF-8 date
    $ echo "export LOCPATH=\$HOME/.locale" >> $HOME/.bashrc
    $ echo "export LANG=fi_SE.UTF-8" >> $HOME/.bashrc

VEJA TAMBÉM
localedef(1), charmap(5), locale(5), locale(7)

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).